Subject: [TR] Early TR4 Part Needed

From: "James Henningsen" <[email-masked]>
Date: Sun, 14 Jul 2013 12:46:46 -0400

Had a little issue getting the accelerator pedal shaft assembly apart to
replace bushings on my early four.  I removed the pin securing the assembly
on the pedal side, but the shaft did not separate and I now need a shaft.
Don't ask.   Please contact me directly if you have an early 62 TR4
accelerator pedal shaft assembly for sale or have a contact for me to track
down.  How are these shafts supposed to separate? I thought you removed the
pin and that would release the assembly.    

Thanks,

Jim Henningsen

62 TR4 CT5212LO

75 TR6

Ocala, FL

** [email-masked] **

Archive: http://www.team.net/archive